// FHC Version 2.X Control Mode = 32 (SashPosition -w- Exhaust Flow Feedback)
// Note- The alignment of this file looks best when opened in Notepad

{"Device Object", 				-2,	8,	-1,	0,	1,}

{"Touch Screen Display",			-2,	255,	0,	0,	2}

{"Initial Commissioning Configuration"		-1,	0,	-1,	0,	4,}
{"Hardware Configuration",			-2,	227,	-1,	0,	4,}
{"Hardware Configuration",			-2,	228,	0,	0,	4,}
{"Firmware",				-2,	10,	0,	0,	4,}
{"Mfg",					-2,	128,	0,	0,	4,}

{"Control",					-1,	0,	-1,	0,	6,}
{"PID Control Loop",				-2,	500,	 0,	0,	6}
{"FV Occupied Setpoint",			-2,	2,	 1,	0,	6,}
{"FV Unoccupied Setpoint",			-2,	2,	 2,	0,	6,}
{"Enable / Disable Control",			-2,	5,	 0,	0,	6,}
{"Occupied / Unoccupied",			-2,	5,	 1,	0,	6,}

{"Alarming",				-1,	0,	-1,	0,	8,}
{"Alarm Routing 0",				-2,	15,	0,	0,	8,}
{"Alarm Routing 1",				-2,	15,	1,	0,	8,}
{"FV Red Alarm",				-2,	2,	3,	0,	8,}
{"FV Yellow Alarm",				-2,	2,	4,	0,	8,}
{"Exhaust Flow Red Alarm",			-2,	2,	5,	0,	8,}
{"Exhaust Flow Yellow Alarm",			-2,	2,	6,	0,	8,}
{"Emergency Mode Status",			-2,	5,	2,	0,	8,}
{"Clear Emergency Mode",			-2,	5,	3,	0,	8,}
	
{"Scheduling",				-1,	0,	-1,	0,	10,}
{"Schedule",				-2,	17,	-1,	0,	10,}
{"Calendar",				-2,	6,	-1,	0,	10,}

{"Inputs",					-1,	0,	-1,	0,	12,}
{"AI 1",					-2,	0,	1,	0,	12,}
{"AI 2",					-2,	0,	2,	0,	12,}
{"AI 5",					-2,	0,	5,	0,	12,}
{"BI 3",					-2,	3,	3,	0,	12,}
{"BI 4",					-2,	3,	4,	0,	12,}
{"BI on STATbus",				-2,	3,	1001,	0,	12,}
{"Sash Area",				-2,	2,	7,	0,	12,}
{"Totalized Exhaust Flow",			-2,	2,	8,	0,	12,}

{"Outputs",					-1,	0,	-1,	0,	13,}
{"AO's",					-2,	1,	-1,	0,	13,}
{"Emergency Output",				-2,	4,	1,	0,	13,}
{"Optional Lighting Output",			-2,	4,	2,	0,	13,}

	
{"Data Sharing",				-1,	0,	-1,	0,	16,}
{"Broadcast 5",				-2,	143,	5,	0,	16,}
{"Broadcast 7",				-2,	143,	7,	0,	16,}
{"Broadcast 8",				-2,	143,	8,	0,	16,}

{"Sensor Curves & Offsets",			-1,	0,	-1,	0,	18,}
{"FV Sensor Coefficient",			-2,	2,	0,	0,	18,}
{"PWC 1",					-2,	305,	1,	0,	18,}
{"PWC 2",					-2,	305,	2,	0,	18,}
{"PWC 3",					-2,	305,	3,	0,	18,}


// Analog Inputs (0)
{"(ST) Scaling Type",54100,					0,1,9,0,4 = PWC 1}
{"(IF) Input Filter Delay",51526,					0,1,4,0,}
{"(OF) Input Offset",53062,					0,1,4,0,}
{"(ST) Scaling Type",54100,					0,2,9,0,5 = PWC 2}
{"(IF) Input Filter Delay",51526,					0,2,4,0,}
{"(OF) Input Offset",53062,					0,2,4,0,}


// Analog Outputs
{"(LS) Minimum Scaled Output Percentage",52307,			1,-1,4,0,}
{"(HS) Maximum Scaled Output Percentage",51283,			1,-1,4,0,}
{"(OV) Actual Output Voltage (Jumper Dependent)",53078,		1,-1,4,0,}
{"(OC) Actual Output Current (Jumper Dependent)",53059,		1,-1,4,0,}


// Analog Values  (Most have no proprietary properties)
{"Current Sash Area (Sq Feet or Sq Meters)",85,			2,8,4,0,}
{"(SW) Sash Width (IN/CM)",54103,				2,8,4,0,}
{"(SO) Max Sash Vertical Opening (IN or CM)",54095,			2,8,4,0,}
{"(RO) String Pot Resistance at Max Open",53839,			2,8,4,0,}
{"(SC) Minimum Sash Opening (IN or CM)",54083,			2,8,4,0,}
{"(RC) String Pot Resistance at Minimum Open",53827,			2,8,4,0,}
{"(BH) Sash Bypass Height (IN or CM) Zero if None.",49736,		2,8,4,0,}
{"(SR) Current String Pot Resistance",54098,				2,8,4,0,}
{"(SH) Current Sash Height (IN or CM)",54088,			2,8,4,0,}
{"(FB) Feedback Text",50754,					2,8,7,0,}

// Binary outputs (4)
{"(O1) AutoStuff Input Object",53041,			4,2,12,0,}
{"(P1) AutoStuff Input Property",53297,			4,2,2,0,}
{"(Q1) AutoStuff Mode/Priority",53553,			4,2,9,0,1 = Priority 1,2 = Priority 2,3 = Priority 3,4 = Priority 4,5 = Priority 5,7 = Priority 7,8 = Priority 8,9 = Priority 9,10 = Priority 10,11 = Priority 11,12 = Priority 12,13 = Priority 13,14 = Priority 14,15 = Priority 15,16 = Priority 16,255 = AutoStuff Off}
{"(AF) Autostuff Feedback Text",49478,			4,2,7,0,}


// Binary Values (5)  
{"(TI) Enable/Disable Hood Occupancy",54345,			5,1,9,0,0 = Forced to Unoccupied,1 = Forced to Occupied,2 = Track STATbus Expansion Input,3 = Track AVP Input,4 = Track Broadcast Object,5 = Track Schedule Object}
{"(TI) Enable/Disable Hood Control",54345,				5,0,9,0,0 = Forced to Disabled,1 = Forced to Enabled,2 = Track STATbus Expansion Input,3 = Track AVP Input,4 = Track Broadcast Object,5 = Track Schedule Object,6 = Controlled By Display}


// Device Object (8)
{"(RD) Daylight Saving Start Day",53828,				8,-1,9,0,0 = None,1 = First Sunday,2 = First Friday,3 = Second Saturday,4 = Third Sunday,5 = Third Saturday,6 = Last Sunday,7 = Last Thursday,8 = Last Friday,9 = Second Sunday}
{"(RM) Daylight Saving Start Month",53837,				8,-1,9,0,0 = None,1 = January,2 = February,3 = March,4 = April,5 = May,6 = June,7 = July,8 = August,9 = September,10 = October,11 = November,12 = December}
{"(ND) Daylight Saving End Day",52804,				8,-1,9,0,0 = None,1 = First Sunday,2 = First Friday,3 = Second Saturday,4 = Third Sunday,5 = Third Saturday,6 = Last Sunday,7 = Last Thursday,8 = Last Friday,9 = Second Sunday}
{"(NM) Daylight Saving End Month",52813,				8,-1,9,0,0 = None,1 = January,2 = February,3 = March,4 = April,5 = May,6 = June,7 = July,8 = August,9 = September,10 = October,11 = November,12 = December}
{"(ST) Daylight Saving Start Time",54100,				8,-1,11,0,}
{"(ET) Daylight Saving End Time",50516,				8,-1,11,0,}
{"(CT) Controller Type",50004,					8,-1,9,0,205 = FHC}
{"(FT) Firmware Type / Control Mode",50772,			8,-1,9,0,20 = AutoFlow With PID/Fuzzy Control,21 = AutoFlow With PID/Fuzzy Control & Exhaust Flow Feedback,22 = AutoFlow With Feed-Forward Control,23 = AutoFlow With Feed-Forward Control & Exhaust Flow Feedback,30 = Sash-Based Control,31 = Sash-Based Control With Shaft Pot Feedback,32 = Sash-Based Control With Exhaust Flow Feedback}
{"(OS) Kernel Version",53075,					8,-1,4,0,}
{"(VE) Firmware Version",54853,					8,-1,2,0,}
{"(VO) I/O Firmware Version",54863,				8,-1,4,0,}
{"(SN) Serial Number",54094,					8,-1,2,0,}
{"(SR) Software Time Stamp",54098,				8,-1,2,0,}
{"(FC) Flash Update Counter",50755,				8,-1,2,0,}
{"(BT) Broadcast Time Interval",49748,				8,-1,2,0,}
{"(PD) Control & Alarm Power-On Delay",53316,			8,-1,2,0,}
{"(CP) Communication BAUD",50000,				8,-1,9,0,0 = 9600,6 = 38400,7 = 19200,8 = 115200,9 = 57600,10 = 76800}
{"(ID) Unit ID",51524,						8,-1,2,0,}
{"(DE) Default Enable",50245,					8,-1,9,0,0 = Do Nothing,197 = Default the Current Mode}
{"(RS) Reset NB-FHC",53843,					8,-1,9,0,0 = No,1 = Reset Controller}


// Notification Class Objects (15)
{"(A1) Recipient 1 Active?",49457,				15,-1,2,0,}
{"(A2) Recipient 2 Active?",49458,				15,-1,2,0,}
{"(A3) Recipient 3 Active?",49459,				15,-1,2,0,}
{"(A4) Recipient 4 Active?",49460,				15,-1,2,0,}
{"(A5) Recipient 5 Active?",49461,				15,-1,2,0,}


// Schedule (17)
{"(DT) Schedule's Default Data Type",50260,				17,-1,9,0,1 = Boolean,2 = Unsigned,3 = Integer,4 = Real,9 = Enumerated,10 = Date,11 = Time,12 = Object ID}
{"(FB) Feedback Text",50754,					17,-1,7,0,}


// Mfg Object (128)
{"(SN) Serial Number",54094,					128,0,2,0,}
{"(DM) Date Of Manufacture",50253,				128,0,2,0,}
{"(WC) Watchdog Counter",55107,				128,0,2,0,}
{"(RC) Reset Counter",53827,					128,0,2,0,}
{"(IC) Default Enable Counter",51523,				128,0,2,0,}
{"(FC) Flash Counter",50755,					128,0,2,0,}
{"(OC) Illegal Opcode Counter",53059,				128,0,2,0,}
{"(UT) Uptime Counter in Seconds",54612,				128,0,2,0,}
{"(PU) Percent Operating System Usage",53333,			128,0,4,0,}
{"Task % Processor Utilization: MS/TP",64006,			128,0,4,0,}
{"Task % Processor Utilization: Timers",64001,			128,0,4,0,}
{"Task % Processor Utilization: Logic",64000,				128,0,4,0,}
{"Task % Processor Utilization: SSB1",64002,				128,0,4,0,}
{"Task % Processor Utilization: Display Comms",64003,			128,0,4,0,}
{"Task % Processor Utilization: SSB3",64004,				128,0,4,0,}
{"Task % Processor Utilization: Onboard I/O",64005,			128,0,4,0,}
{"Task % Stack Utilization: MS/TP",64107,				128,0,2,0,}
{"Task % Stack Utilization: Timers",64108,				128,0,2,0,}
{"Task % Stack Utilization: Logic",64109,				128,0,2,0,}
{"Task % Stack Utilization: SSB1",64104,				128,0,2,0,}
{"Task % Stack Utilization: Display Comms",64105,			128,0,2,0,}
{"Task % Stack Utilization: SSB3",64106,				128,0,2,0,}
{"Task % Stack Utilization: Onboard I/O",64103,			128,0,2,0,}


// Broadcast Objects
{"present-value",85,						143,-1,4,0,}
{"(BM) Broadcast Mode",49741,					143,5,9,0,0 = Disabled,1 = Send,2 = Receive}
{"(BM) Broadcast Mode",49741,					143,8,9,0,0 = Disabled,1 = Send,2 = Receive}
{"(BM) Broadcast Mode",49741,					143,7,9,0,0 = Disabled,1 = Send,2 = Receive,3 = Both Send & Receive}
{"(BZ) Broadcast Zone/Global",49754,				143,-1,9,0,0 = Zone,1 = Global}
{"(ZN) Zone Number",55886,					143,-1,2,0,}
{"(IO) Input Object",51535,					143,-1,12,0,}
{"(IP) Input Property",51536,					143,-1,2,0,}
{"(BT) Broadcast Time Interval <1 to 20 Mins>"49748,			143,-1,2,0,}
{"(ES) Elapsed Seconds Since Broadcast"50515,			143,-1,2,0,}
{"(FB) Feedback Text",50754,					143,-1,7,0,}


// Hardware Configuration
{"(CH) Modify Hardware Configuration?",49992,			227,0,9,0,0 = Leave Alone,1 = Allow Changes Below,2 = Committ to Changes}
{"(AT) AutoFlow Transducer Present?",49492,			227,0,9,0,0 = No,1 = Installed}
{"(SP) String Pot Present (Sash Position)",54096,			227,0,9,0,0 = No,1 = Yes}
{"(VT) Exhaust Valve Type",54868,				227,0,9,0,0 = Butterfly (Or Equivalent),1 = Calibrated Venturi Valve,2 = Venturi -w- Calibrated Shaft Feedback Pot}
{"(EP) Exhaust Flow Sensor Present",50512,				227,0,9,0,0 = No,1 = Yes}
{"(EM) Metric Mode",50509,					227,0,9,0,0 = No,1 = Yes}
{"(PM) Proposed Mode",53325,					227,0,7,0,}
{"(CM) Current Mode",49997,					227,0,7,0,}


// TouchScreen Display
{"(CA) FHC Display Comm Status",49985,				255,0,9,0,0 = Offline,1 = Online}
{"(ST) Session Timer (Max Minutes a User Can Log On)",54100,		255,0,2,0,}
{"(O1) Operator 1's Password",53041,				255,0,2,0,}
{"(P1) Operator 1's Privilege Level",53297,				255,0,2,0,}
{"(O2) Operator 2's Password",53042,				255,0,2,0,}
{"(P2) Operator 2's Privilege Level",53298,				255,0,2,0,}
{"(O3) Operator 3's Password",53043,				255,0,2,0,}
{"(P3) Operator 3's Privilege Level",53299,				255,0,2,0,}
{"(O4) Operator 4's Password",53044,				255,0,2,0,}
{"(P4) Operator 4's Privilege Level",53300,				255,0,2,0,}
{"(AL) Silence Time In Minutes (When Silence Button Is Pressed)",49484,	255,0,2,0,}
{"(HS) Home Screen Layout",51283,				255,0,9,0,0 = Face Velocity,1 = Face Velocity + Setpoint,2 = Face Velocity + Small Custom Text,3 = Face Velocity + Large Custom Text}
{"(HT) Optional Home Screen Text",51284,				255,0,7,0,}
{"(HB) Background Color",51266,					255,0,9,0,0 = White,1 = Green)}
{"(AN) Face Velocity Display Averagin Index (1-15 Samples)",49486,		255,0,4,0,}
{"(ST) Session Timer",54100,					255,0,2,0,}
{"(SN) FHC Display Serial Number",54094,				255,0,2,0,}
{"(VE) FHC Display Firmware Version",54853,			255,0,4,0,}
{"(SR) FHC Display Flash Release Time-Stamp",54098,			255,0,2,0,}
{"(RE) Reset Emergency Mode",53829,				255,0,9,0,0 = No,1 = Yes (Reset)}
{"(EE) Show Press For Emergency Button on Display?",50501,		255,0,2,0,0 = No,1 = Yes}
{"(LB) Show Lighting Output Button on Display?",52290,		255,0,2,0,0 = No,1 = Yes}


// PWC's
{"(X1) Point 1's Value in % Full Scale",55345,				305,-1,4,0,}
{"(X2) Point 2's Value in % Full Scale",55346,				305,-1,4,0,}
{"(X3) Point 3's Value in % Full Scale",55347,				305,-1,4,0,}
{"(X4) Point 4's Value in % Full Scale",55348,				305,-1,4,0,}
{"(X5) Point 5's Value in % Full Scale",55349,				305,-1,4,0,}
{"(X6) Point 6's Value in % Full Scale",55350,				305,-1,4,0,}
{"(X7) Point 7's Value in % Full Scale",55351,				305,-1,4,0,}
{"(X8) Point 8's Value in % Full Scale",55352,				305,-1,4,0,}
{"(X9) Point 9's Value in % Full Scale",55353,				305,-1,4,0,}
{"(XA) Point 10's Value in % Full Scale",55361,			305,-1,4,0,}
{"(XB) Point 11's Value in % Full Scale",55362,			305,-1,4,0,}
{"(Y1) Point 1's Value in Engineering Units",55601,			305,1,4,0,}
{"(Y2) Point 2's Value in Engineering Units",55602,			305,1,4,0,}
{"(Y3) Point 3's Value in Engineering Units",55603,			305,1,4,0,}
{"(Y4) Point 4's Value in Engineering Units",55604,			305,1,4,0,}
{"(Y5) Point 5's Value in Engineering Units",55605,			305,1,4,0,}
{"(Y6) Point 6's Value in Engineering Units",55606,			305,1,4,0,}
{"(Y7) Point 7's Value in Engineering Units",55607,			305,1,4,0,}
{"(Y8) Point 8's Value in Engineering Units",55608,			305,1,4,0,}
{"(Y9) Point 9's Value in Engineering Units",55609,			305,1,4,0,}
{"(YA) Point 10's Value in Engineering Units",55617,			305,1,4,0,}
{"(YB) Point 11's Value in Engineering Units",55618,			305,1,4,0,}
{"(Y1) Point 1's Value in Engineering Units (CFM or LPS)",55601,		305,2,4,0,}
{"(Y2) Point 2's Value in Engineering Units (CFM or LPS)",55602,		305,2,4,0,}
{"(Y3) Point 3's Value in Engineering Units (CFM or LPS)",55603,		305,2,4,0,}
{"(Y4) Point 4's Value in Engineering Units (CFM or LPS)",55604,		305,2,4,0,}
{"(Y5) Point 5's Value in Engineering Units (CFM or LPS)",55605,		305,2,4,0,}
{"(Y6) Point 6's Value in Engineering Units (CFM or LPS)",55606,		305,2,4,0,}
{"(Y7) Point 7's Value in Engineering Units (CFM or LPS)",55607,		305,2,4,0,}
{"(Y8) Point 8's Value in Engineering Units (CFM or LPS)",55608,		305,2,4,0,}
{"(Y9) Point 9's Value in Engineering Units (CFM or LPS)",55609,		305,2,4,0,}
{"(YA) Point 10's Value in Engineering Units (CFM or LPS)",55617,		305,2,4,0,}
{"(YB) Point 11's Value in Engineering Units (CFM or LPS)",55618,		305,2,4,0,}
{"(AC) Automatic Stuffing Options",49475,				305,1,9,0,0 = Do nothing,1 = Set FVR-1A (0.0015 inWC),2 = Set FVR-1B (0.003 inWC),3 = Set FVR-1C (0.006 inWC),4 = Set HWA-1 (40-400 fpm)}
{"(MC) Automatic Metric Stuffing Options",52547,			305,1,9,0,0 = Do nothing,1 = Set FVR-1A (0.3736 Pa),2 = Set FVR-1B (0.7473 Pa),3 = Set FVR-1C (1.4945 Pa),4 = Set HWA-1 (0.2-2.0 mps)}
{"(AC) Automatic Stuffing Options",49475,				305,2,9,0,0 = Do nothing,1 = 6 inch 0-0.1 inWC,2 = 6 inch 0-0.25 inWC,3 = 6 inch 0-0.5 inWC,4 = 6 inch 0-0.75 inWC,5 = 6 inch 0-1.0 inWC,6 = 8 inch 0-0.1 inWC,7 = 8 inch 0-0.25 inWC,8 = 8 inch 0-0.5 inWC,9 = 8 inch 0-0.75 inWC,10 = 8 inch 0-1.0 inWC,11 = 10 inch 0-0.25 inWC,12 = 10 inch 0-0.5 inWC,13 = 10 inch 0-0.75 inWC,14 = 10 inch 0-1.0 inWC,15 = 12 inch 0-0.25 inWC,16 = 12 inch 0-0.5 inWC,17 = 12 inch 0-0.75 inWC,18 = 12 inch 0-1.0 inWC,19 = 12 inch 0-1.25 inWC,20 = 12 inch 0-2.5 inWC,21 = 14 inch 0-0.25 inWC,22 = 14 inch 0-0.5 inWC,23 = 14 inch 0-0.75 inWC,24 = 14 inch 0-1.0 inWC,25 = 14 inch 0-1.25 inWC,26 = 16 inch 0-0.25 inWC,27 = 16 inch 0-0.5 inWC,28 = 16 inch 0-0.75 inWC,29 = 16 inch 0-1.0 inWC,30 = 16 inch 0-1.25 inWC}
{"(MC) Automatic Metric Stuffing Options",52547,			305,2,9,0,0 = Do nothing,1 = 15.24 cm 0-24.9 Pa,2 = 15.24 cm 0-62.3 Pa,3 = 15.24 cm 0-124.5 Pa,4 = 15.24 cm 0-186.8 Pa,5 = 15.24 cm 0-249 Pa,6 = 20.32 cm 0-24.9 Pa,7 = 20.32 cm 0-62.3 Pa,8 = 20.32 cm 0-124.5 Pa,9 = 20.32 cm 0-186.8 Pa,10 = 20.32 cm 0-249 Pa,11 = 25.4 cm 0-62.3 Pa,12 = 25.4 cm 0-124.5 Pa,13 = 25.4 cm 0-186.8 Pa,14 = 25.4 cm 0-249 Pa,15 = 30.48 cm 0-62.3 Pa,16 = 30.48 cm 0-124.5 Pa,17 = 30.48 cm 0-186.8 Pa,18 = 30.48 cm 0-249 Pa,19 = 30.48 cm 0-311 Pa,20 = 30.48 cm 0-623 Pa,21 = 35.56 cm 0-62.3 Pa,22 = 35.56 cm 0-124.5 Pa,23 = 35.56 cm 0-186.8 Pa,24 = 35.56 cm 0-249 Pa,25 = 35.56 cm 0-311 Pa,26 = 115.24 cm 0-62.3 Pa,27 = 115.24 cm 0-124.5 Pa,28 = 115.24 cm 0-186.8 Pa,29 = 115.24 cm 0-249 Pa,30 = 115.24 cm 0-311 Pa}


// PID Control 1
{"(CS) Calculated Control Setpoint",50003,				500,0,4,0,}
{"(DL) Demand Load",50252,					500,0,4,0,}
{"(AO) Analog Output Value",49487,				500,0,4,0,}
{"(PO) Percent Output",53327,					500,0,4,0,}
{"(DB) Desired Control Deadband",50242,				500,0,4,0,}
{"(PG) Proportional Gain",53319,					500,0,4,0,}
{"(IG) Integral Gain",51527,					500,0,4,0,}
{"(DG) Derivative Gain",50247,					500,0,4,0,}
{"(F1) Feed-Forward Gain",50737,				500,0,4,0,}
{"(UF) Use Fuzzy Logic?",54598,					500,0,9,0,0 = No,1 = Yes}
{"(FR) Fuzzy Logic Rate Sensitivity (1-10)",50770,			500,0,4,0,}
{"(FF) Fuzzy Logic Steady State Gain (1-10)",50758,			500,0,4,0,}
{"(FG) Fuzzy Logic Transient Gain (10-100)",50759,			500,0,4,0,}
{"(LD) Loop Delay",52292,					500,0,9,0,1 = 50ms,2 = 100ms,3 = 150ms,4 = 200ms,5 = 250ms}
{"(CE) Enable Control Loop?",49989,				500,0,9,0,0 = No (Disabled),1 = Yes (Enabled)}
{"(SD) Store Trend Data? (Access via File 0)",54084,		500,0,9,0,0 = Off/Complete,1 = Capturing 3min snapshot}


